Bug 494309 - Suspend, hibernate, and power-off do not power-off on Pioneer/Mitac 8224D
Suspend, hibernate, and power-off do not power-off on Pioneer/Mitac 8224D
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-06 06:57 EDT by Mark Chandler
Modified: 2010-12-05 01:57 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 01:57:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
acpidump (95.00 KB, text/plain)
2009-04-06 07:10 EDT, Mark Chandler
no flags Details
dmidecode (8.15 KB, text/plain)
2009-04-06 07:12 EDT, Mark Chandler
no flags Details
lspci -vv (28.38 KB, text/plain)
2009-04-06 07:13 EDT, Mark Chandler
no flags Details
lspci -vxxx (29.30 KB, text/plain)
2009-04-06 07:14 EDT, Mark Chandler
no flags Details

  None (edit)
Description Mark Chandler 2009-04-06 06:57:16 EDT
Description of problem:
When suspending, hibernating, or powering-off the laptop, the systems gets down to the point where it's about to change power state (off or suspended) and then does nothing.

Version-Release number of selected component (if applicable):
kernel-2.6.29.1
This has been a problem for all kernels that I've tried from F9-F11b

How reproducible:
Everytime

Steps to Reproduce:
1. Power-on laptop (laptop boots)
2. Login to Gnome
3. Shutdown laptop (menu or shutdown -h now)
  
Actual results:
Console shows "Power down.", but laptop remains on. Doesn't respond to Ctl+Alt+Del.

Expected results:
Laptop powers off.

Additional info:
This happens for suspend and hibernate. Strangely, if I hibernate the machine and then manually power it off, the next time I power-off or hibernate, it works!

Found this investigation of the same problem for a different laptop that's the same OEM model.
http://webui.sourcelabs.com/kernel/issues/8549

Laptop uses Insyde H20 EFI or UEFI "bios"
Comment 1 Mark Chandler 2009-04-06 07:10:46 EDT
Created attachment 338315 [details]
acpidump

Output of "acpidump" command from affected laptop.
Comment 2 Mark Chandler 2009-04-06 07:12:30 EDT
Created attachment 338316 [details]
dmidecode

Output of command "dmidecode" on affected laptop.
Comment 3 Mark Chandler 2009-04-06 07:13:54 EDT
Created attachment 338317 [details]
lspci -vv

Output from command "lspci -vv" on affected laptop.
Comment 4 Mark Chandler 2009-04-06 07:14:51 EDT
Created attachment 338318 [details]
lspci -vxxx

Output from command "lspci -vxxx" on affected laptop.
Comment 5 Bug Zapper 2009-06-09 09:20:16 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2010-04-27 09:31:28 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2010-11-04 07:22:28 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2010-12-05 01:57:18 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.